[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.SortOrder

Controls the order used for the sort column (ascending or descending).

## Declaration

Source position: grids.pas line 1379

`public property TCustomGrid.SortOrder : TSortOrder read FSortOrder write FSortOrder;`

## Description

SortOrder is a TSortOrder property which indicates the sort order used for the column specified in SortColumn. It is used in the DoCompareCells method to determine the order for values during the comparison.

SortOrder is used in the HeaderClick method to set or invert the ordering when the column header is clicked. It is also used to determine the image displayed in the column heading for the sort column.

The default value for the property is soAscending.

## See also

TSortOrder |  | Enumerated type with sort orders supported in a grid control.